/dimensions
Get available dimensions.
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/salary-boosting-skills/dimensions \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": [
"soc",
"onet",
"lotocc",
"lotspecocc"
]
}GET /dimensions/{dimension}
GET /dimensions/{dimension} Get dimension information.
Path Parameters
| Name | Type | Descriptions |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Salary Boosting Skills. Example: socMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Description |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/salary-boosting-skills/dimensions/soc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": {
"id": "soc",
"title": "6-Digit SOC",
"description": "USA's Standard Occupation Classification represented at the 6-Digit level.",
"taxonomyVersion": "soc_2021",
"supportedTaxonomyVersions": [
"soc_2021"
]
}
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}POST /dimensions/{dimension}
POST /dimensions/{dimension}Get a list of salary boosting skills for an occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling Salary Boosting Skills. Example: socMust be one of: soc, onet, lotocc, lotspecocc |
Query Parameters
| Name | Type | Descriptions |
|---|---|---|
| new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: true, false |
| lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7Must be one of: 6, 7 |
Request Body
{
"id": "41-9022"
}Code Examples
curl --request POST \
--url https://api.lightcast.io/salary-boosting-skills/dimensions/soc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \
--data '{"id":"41-9022"}'Response Examples
{
"data": {
"id": "15-1251",
"name": "Computer Programmers",
"skills": [
{
"id": "KS1219S69HLWD9V0GPMS",
"name": "Unix"
},
{
"id": "KS441B56KS0MPCMYY55T",
"name": "Terminal Emulators"
}
]
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}
